V2 APIEndpointsMedia
Rename an uploaded media file
Rename an uploaded media file. Owned image, video, audio and font resources referenced by durable jsoncut-media URLs. Required API key scopes: `media:write`.
Authorization
apiKeyAuth Path Parameters
id*string
Resource identifier
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/v2/media/string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "success": true, "data": { "id": "media_01J", "name": "hero-product-shot.png", "kind": "image", "mimeType": "image/png", "sizeBytes": 184320, "source": "https://api.jsoncut.com/api/v2/media/media_01J/content?token=short-lived", "reference": "jsoncut-media://media_01J", "retention": "project", "createdAt": "2026-08-25T09:10:00.000Z", "width": 1600, "height": 900 }}Get media metadata and a short-lived preview URL GET
Get media metadata and a short-lived preview URL. Owned image, video, audio and font resources referenced by durable jsoncut-media URLs. Required API key scopes: `media:read`.
Delete unused media DELETE
Delete unused media. Owned image, video, audio and font resources referenced by durable jsoncut-media URLs. Required API key scopes: `media:delete`.